commit:     71b3bcf7a5903bd8dc1072b699505ddc9dd461e2
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 29 19:34:40 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Mar 30 00:19:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71b3bcf7

dev-php/awl: bump to v0.62

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-php/awl/Manifest        |  1 +
 dev-php/awl/awl-0.62.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-php/awl/Manifest b/dev-php/awl/Manifest
index 8ae13393aa3..c2787cf3624 100644
--- a/dev-php/awl/Manifest
+++ b/dev-php/awl/Manifest
@@ -1 +1,2 @@
 DIST awl-0.61.tar.xz 124340 BLAKE2B 
af5d9c063280c93deb55929acf4826b6ba003676a15fcda48019a2a7788d8913d20a05c4aae98f2345d931b8f593bd32622a033fe421b55d0c687b10c7e1be05
 SHA512 
3492512ec04e523a30562d49aac1be617a2cee80fa363b0fbf13b25b44818a4c85af018193f79a6442419b1f7022cd7ec417e3c34641eb8096750441dcbd22bc
+DIST awl-0.62.tar.xz 126492 BLAKE2B 
f7077106c9bc527371aef9edbb34d5e9ff251c2439059449dd8c93b548f16b79b06875e71d36faafa2a206c74391ffef978254b5ec131761550be2e0d6a7d6c1
 SHA512 
b6676c4bf3998ea0448aa9dba31a02fd950a07639cafb3f46482bd38235d39edeb1ab481d657d200332828777ca27df17ecf354d5721347481c0c24f04451c6d

diff --git a/dev-php/awl/awl-0.62.ebuild b/dev-php/awl/awl-0.62.ebuild
new file mode 100644
index 00000000000..1972ef4d110
--- /dev/null
+++ b/dev-php/awl/awl-0.62.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Andrew McMillan's Web Libraries"
+HOMEPAGE="https://gitlab.com/davical-project/awl";
+SRC_URI="https://www.davical.org/downloads/${PN}_${PV}.orig.tar.xz -> 
${P}.tar.xz"
+
+LICENSE="GPL-2 GPL-2+ GPL-3+ LGPL-2+ LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-php/phpunit )"
+RDEPEND="dev-lang/php:*[pdo,postgres,xml]"
+
+S="${WORKDIR}"
+
+src_compile() {
+       :
+}
+
+src_test() {
+       phpunit --do-not-cache-result tests/ || die "test suite failed"
+}
+
+src_install() {
+       einstalldocs
+       insinto /usr/share/php/${PN}
+       doins -r dba inc
+}

Reply via email to